import 'package:json_annotation/json_annotation.dart';

part 'fileSharingApiParams.g.dart';

@JsonSerializable()
class FileSharingApiParams {
  int shareType;
  String shareWith;
  String path;
  String? referenceId;
  String? talkMetaData;

  FileSharingApiParams({
    required this.shareType,
    required this.shareWith,
    required this.path,
    this.referenceId,
    this.talkMetaData
  });

  factory FileSharingApiParams.fromJson(Map<String, dynamic> json) => _$FileSharingApiParamsFromJson(json);
  Map<String, dynamic> toJson() => _$FileSharingApiParamsToJson(this);
}